package com.bonus.canteen.core.allocation.canteen.business;

import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenDeliveryModel;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenPayDTO;
import com.bonus.canteen.core.allocation.canteen.dto.ModifyCanteenStateDTO;
import com.bonus.canteen.core.allocation.canteen.model.AllocCanteenModel;
import com.bonus.canteen.core.allocation.canteen.model.AllocCanteenModifyModel;
import com.bonus.canteen.core.allocation.canteen.model.AllocStallModel;
import com.bonus.canteen.core.allocation.canteen.model.AllocStallModifyModel;
import com.bonus.canteen.core.allocation.canteen.param.AllocCanteenNumParam;

public interface AllocCanteenBusiness {
   String getCanteenNum(AllocCanteenNumParam param);

   AllocCanteenModifyModel getCanteenForModify(Long canteenId);

   AllocStallModifyModel getStallForModify(Long stallId);
//
//   AllocCanteenAppModel getCanteenConfig(Long stallId);
//
//   AllocCanteenPayDTO queryCanteenPay(AllocCanteenStallParam param);
//
//   AllocCanteenDeliveryModel queryCanteenDelivery(AllocCanteenStallParam param);
//
//   AllocCanteenOrderModel queryCanteenOrder(AllocCanteenStallParam param);
//
//   AllocPackingFeeVO queryCanteenPackingFee(AllocCanteenStallParam param);

   void addCanteen(AllocCanteenModel canteenModel);

   void modifyCanteen(AllocCanteenModifyModel canteenModel);

   void addStall(AllocStallModel stallModel);

   void modifyStall(AllocStallModifyModel stallModel);

   void modifyBusinessState(ModifyCanteenStateDTO stateDTO);
//
//   void saveCanteenPay(AllocCanteenPayDTO payDTO);
//
//   void saveCanteenDelivery(AllocCanteenDeliveryModel deliveryModel);

   void removeArea(Long areaId);

   void removeCanteen(Long canteenId);

   void removeStall(Long stallId);
}
